> For the complete documentation index, see [llms.txt](https://help.skoobot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.skoobot.com/api-documentation/whatsapp-cloud-api/post-send-message-api.md).

# POST Send Message API

**API Endpoint**

```
https://api-v7.express-chat.com/whatsapp-automation/wa/templates?apiKey=*API KEY*
```

**Request Headers**

| Header       | Details                                         |
| ------------ | ----------------------------------------------- |
| apiKey       | <p>*API KEY*</p><h4 id="query-params"><br></h4> |
| Content-Type | application/json                                |

Plain Text MessagesMedia Messages

**Request Body**

{% tabs %}
{% tab title="Plain text Messages" %}
**Request Body**

```
{
    "userName": "Test",
    "wa_id": "910987654321",
    "type": "text",
    "message": {
        "text": "hi"
    },
    "tags": [ "test" ]
}
```

#### Parameters

| Parameter      | Type   | Description                                                                                                                        |
| -------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------- |
| userName       | string | The name of the user to whom the message is being sent.                                                                            |
| wa\_id         | string | The WhatsApp number of the user to whom the message is being sent. The number must contain the country code without the plus sign. |
| type           | string | The type of message being sent (e.g., text, image).                                                                                |
| message.text   | string | message that needs to sent                                                                                                         |
| message.label  | string | <p>The caption you want to send along with the image<br><em>(optional) Only if type is image</em></p>                              |
| message.source | string | <p>The image link<br><em>(optional) Only if type is image</em></p>                                                                 |
| tags           | array  | Tags are the labels that you can assign to conversations or chats to help organize and manage effectively.                         |
| {% endtab %}   |        |                                                                                                                                    |

{% tab title="Media Messages" %}
**Request Body**

```
{
    "userName": "Test",
    "wa_id": "910987654321",
    "type": "text",
    "message": {
        "text": "hi"
    },
    "tags": [ "test" ]
}
```

#### Parameters

| Parameter      | Type   | Description                                                                                                                        |
| -------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------- |
| userName       | string | The name of the user to whom the message is being sent.                                                                            |
| wa\_id         | string | The WhatsApp number of the user to whom the message is being sent. The number must contain the country code without the plus sign. |
| type           | string | The type of message being sent (e.g., text, image).                                                                                |
| message.text   | string | message that needs to sent                                                                                                         |
| message.label  | string | <p>The caption you want to send along with the image<br><em>(optional) Only if type is image</em></p>                              |
| message.source | string | <p>The image link<br><em>(optional) Only if type is image</em></p>                                                                 |
| tags           | array  | Tags are the labels that you can assign to conversations or chats to help organize and manage effectively.                         |
| {% endtab %}   |        |                                                                                                                                    |
| {% endtabs %}  |        |                                                                                                                                    |

#### Error Codes <a href="#error-codes" id="error-codes"></a>

Refer to the [official documentation](https://developers.facebook.com/docs/whatsapp/on-premises/errors) for more information on error codes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.skoobot.com/api-documentation/whatsapp-cloud-api/post-send-message-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
